package com.patzn.lims.equip.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.equip.entity.LmsEquipCheckDetail;
import com.patzn.lims.equip.entity.LmsEquipFile;
import org.springframework.web.multipart.MultipartFile;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 期间核查详情信息表 服务类
 * </p>
 *
 * @author SunYunGang
 * @since 2019-01-05
 */
public interface ILmsEquipCheckDetailService extends IBaseService<LmsEquipCheckDetail> {


    Page<LmsEquipCheckDetail> page(Page<LmsEquipCheckDetail> page, LmsEquipCheckDetail lmsEquipCheckDetail);


    List<LmsEquipCheckDetail> list(LmsEquipCheckDetail lmsEquipCheckDetail);

    boolean updateByIds(LmsEquipCheckDetail lmsEquipCheckDetail);

    boolean removes(Long[] ids);

    List<LmsEquipCheckDetail> getDetailByCheckId(Long checkId);

    LmsEquipFile uploadFile(MultipartFile file, LmsEquipCheckDetail lmsEquipCheckDetail, int type);

    void downloadFile(Long id, HttpServletResponse response);


}
